Loading...
Searching...
No Matches
Opm::KeywordLocation Class Reference

## Public Member Functions

| KeywordLocation (std::string kw, std::string fname, std::size_t lno)
bool | is_binary () const
std::string | format (const std::string &msg_fmt) const
bool | operator== (const KeywordLocation &data) const
template<class Serializer>
void | serializeOp (Serializer &serializer)

## Static Public Member Functions

static KeywordLocation | serializationTestObject ()

## Public Attributes

std::string | keyword
std::string | filename = "<memory string>"
std::size_t | lineno = 0

## Static Public Attributes

static constexpr std::size_t | LINENO_BINARY = 99999999

The documentation for this class was generated from the following files:

- opm/common/OpmLog/KeywordLocation.hpp
- opm/common/OpmLog/KeywordLocation.cpp